// splash.service.ts
import { Injectable } from '@angular/core';
import { BehaviorSubject } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class SplashService {
  private openLoginModalSource = new BehaviorSubject<boolean>(false);
  openLoginModal$ = this.openLoginModalSource.asObservable();

  setOpenLoginModal(value: boolean) {
    this.openLoginModalSource.next(value);
  }
}